| Home | Libraries | People | FAQ | More

## Struct matched

boost::xpressive::op::matched — `matched` is a PolymorphicFunctionObject for assessing whether a `sub_match` object matched or not.

## Synopsis

    // In header: <boost/xpressive/regex_actions.hpp>

    struct matched {
      // types
      typedef bool result_type;

      // public member functions
      template<typename Sub> bool operator()(Sub const &) const;
    };

## Description

### `matched` public member functions

1.     template<typename Sub> bool operator()(Sub const & sub) const;

   Parameters:

   `sub` | The ``sub_match`` object.

   Returns: | `sub.matched`